=== examples/http-benchmarks/Makefile ===

.PHONY: bench 
bench: 
	wrk -d 20s -s post.lua http://localhost:3000
