=== debian/changelog ===
golang-github-francoispqt-gojay (1.2.13-5) unstable; urgency=medium

  * debian/control: Update my uploader name.
  * debian/rules: Do not build examples.

 -- Aloïs Micard <alois@micard.lu>  Thu, 08 Oct 2020 19:48:11 +0200

golang-github-francoispqt-gojay (1.2.13-4) unstable; urgency=medium

  [ Alois Micard ]
  * debian/control:
    - Bump debhelper-compat to 13.

  [ Roger Shimizu ]
  * debian/control:
    - Add B-D: golang-github-viant-assertly-dev

 -- Roger Shimizu <rosh@debian.org>  Mon, 27 Jul 2020 00:44:45 +0900

golang-github-francoispqt-gojay (1.2.13-3) unstable; urgency=medium

  * debian/rules:
    - Skip dh_auto_test for 32-bit systems (Closes: #963609).

 -- Roger Shimizu <rosh@debian.org>  Thu, 25 Jun 2020 01:31:39 +0900

golang-github-francoispqt-gojay (1.2.13-2) unstable; urgency=medium

  * debian/patches:
    - Add patch 0001 to skip some tests fail at git-pbuilder
      environment.

 -- Roger Shimizu <rosh@debian.org>  Sat, 20 Jun 2020 01:23:42 +0900

golang-github-francoispqt-gojay (1.2.13-1) unstable; urgency=medium

  * Initial release (Closes: #956074)

 -- Roger Shimizu <rosh@debian.org>  Sun, 03 May 2020 15:40:58 +0900
