=== debian/control ===
Source: golang-github-francoispqt-gojay
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Aloïs Micard <alois@micard.lu>,
 Roger Shimizu <rosh@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-buger-jsonparser-dev,
 golang-github-go-errors-errors-dev,
 golang-github-json-iterator-go-dev,
 golang-github-mailru-easyjson-dev,
 golang-github-stretchr-testify-dev,
 golang-github-viant-assertly-dev,
 golang-github-viant-toolbox-dev,
 golang-golang-x-net-dev,
 help2man
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-francoispqt-gojay
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-francoispqt-gojay.git
Homepage: https://github.com/francoispqt/gojay
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/francoispqt/gojay

Package: golang-github-francoispqt-gojay-dev
Architecture: all
Depends:
 golang-github-buger-jsonparser-dev,
 golang-github-go-errors-errors-dev,
 golang-github-json-iterator-go-dev,
 golang-github-mailru-easyjson-dev,
 golang-github-stretchr-testify-dev,
 golang-github-viant-assertly-dev,
 golang-github-viant-toolbox-dev,
 golang-golang-x-net-dev,
 ${misc:Depends}
Description: JSON encoder/decoder golang library with powerful stream API
 GoJay is a performant JSON encoder/decoder for Golang.
 It has a simple API and doesn't use reflection. It relies on small
 interfaces to decode/encode structures and slices.
 .
 Why another JSON parser?
 Other fast decoder/encoder were mostly hardly readable static code
 generation or a lot of reflection, poor streaming features, and not so
 fast in the end. Also, it has a decoder that could consume
 an io.Reader of line or comma delimited JSON, in a JIT way.
 To consume a flow of JSON objects from a TCP connection for example or
 from a standard output. Same way to build an encoder that could encode
 a flow of data to a io.Writer.

Package: gojay
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Fast JSON code generator in golang
 This package provides a command line tool to generate gojay's
 marshaling and unmarshaling interface implementation for custom
 struct type(s).
