=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Exclude examples/ folder since the example build binary
export DH_GOLANG_EXCLUDES := examples

override_dh_auto_install:
	cd obj-$(DEB_TARGET_GNU_TYPE); \
	help2man -N -n "Fast JSON code generator in golang" \
		--version-string="$(DEB_VERSION)" --no-discard-stderr \
		-o gojay.1 bin/gojay
	dh_auto_install

%:
	dh $@ --buildsystem=golang --with=golang

# Skip dh_auto_test for 32-bit systems
#  - https://github.com/francoispqt/gojay/issues/146
override_dh_auto_test:
ifeq (,$(filter armel armhf i386 mipsel hurd-i386 kfreebsd-i386,$(DEB_HOST_ARCH)))
	dh_auto_test
endif
